Skip to content
First requestVisit website ↗
Navigation

Schedule an SMS message for delivery

Schedules a message to be sent via the queue service

POST
https://api.channelautomation.com/api/queue/schedule-sms

Authorization

  • bearerAuth
    bearerAuth
    required

Request body JSON required

  • to
    string
    required

    Recipient phone number

  • content
    string
    required

    Message content

  • workspaceId
    string
    required

    Workspace ID

  • contactId
    optional
    string

    Contact ID (optional)

  • scheduledFor
    optional
    string

    When to send the message (optional, immediate if not specified)

    format: date-time
  • metadata
    optional
    object

    Additional metadata for the message

Returns

200

Message scheduled successfully

JSON
  • success
    optional
    boolean
  • jobId
    optional
    string

    Queue job ID for tracking

  • scheduledFor
    optional
    string

    When the message is scheduled to be sent

    format: date-time

400

Invalid input

401

Unauthorized

500

Internal server error

Type to search…

↑↓ navigate↵ selectEsc close